package com.sf.javase.day07.homework;

import java.util.Arrays;

public class Book {
    //书名
    private String bookName;
    //作者
    private String author;
    //出版社
    private String publisher;
    //价格
    private double price;

    public Book() {
    }

    public Book(String bookName, String author, String publisher, double price) {
        if(price <10){
            price = 10;
            System.out.println("温馨提升 价格必须大于10元");
        }
        this.bookName = bookName;
        this.author = author;
        this.publisher = publisher;
        this.price = price;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getPublisher() {
        return publisher;
    }

    public void setPublisher(String publisher) {
        this.publisher = publisher;
    }

    public double getPrice() {
        return price;
    }

    public void setPrice(double price) {
        if(price < 10){
            this.price = 10;
            System.out.println("温馨提升 价格必须大于10元");
        }else this.price = price;
    }

    @Override
    public String toString() {
        return "Book{" +
                "bookName='" + bookName + '\'' +
                ", author='" + author + '\'' +
                ", publisher='" + publisher + '\'' +
                ", price=" + price +
                '}';
    }

    public static void main(String[] args) {
//        Book book = new Book();
//        book.setBookName("java");
//        book.setAuthor("xxx");
//        book.setPublisher("xxxx");
//        book.setPrice(2.3);
//        System.out.println(book);

//        //通过构造器进行赋值
//        Book book = new Book("java","xxx","xxxxx",2.3);
//        System.out.println(book);

        Book[] books = new Book[3];
        books[0] = new Book("java1","xxx","xxxxx",2.3);
        books[1] = new Book("java2","xxx","xxxxx",2.3);
        books[2] = new Book("java3","xxx","xxxxx",2.3);
        for (Book book : books) {
            book.setPrice(12);
        }

        System.out.println(Arrays.toString(books));
    }
}
