package com.sf.javase.day08.homework;

import java.util.Arrays;
import java.util.Scanner;

/**
 * （1）声明员工类Employee，
 * 包含属性：姓名、性别、年龄、工资、电话、邮箱，属性私有化
 * 提供get/set方法
 * ==提供无参构造==
 * ==提供有参构造Employee(String name, char gender, int age, double salary, String phone, String email)==
 * 提供String getInfo()方法
 * （2）在测试类的main中创建员工数组，并从键盘输入员工对象信息，最后遍历输出
 */
public class Employee {
    private String name;
    private char gender;
    private int age;
    private double salary;
    private String phone;
    private String email;

    public Employee() {
    }

    public Employee(String name, char gender, int age, double salary, String phone, String email) {
        this.name = name;
        this.gender = gender;
        this.age = age;
        this.salary = salary;
        this.phone = phone;
        this.email = email;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public char getGender() {
        return gender;
    }

    public void setGender(char gender) {
        this.gender = gender;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public double getSalary() {
        return salary;
    }

    public void setSalary(double salary) {
        this.salary = salary;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    @Override
    public String toString() {
        return "Employee{" +
                "name='" + name + '\'' +
                ", gender=" + gender +
                ", age=" + age +
                ", salary=" + salary +
                ", phone='" + phone + '\'' +
                ", email='" + email + '\'' +
                '}';
    }

    public static void main(String[] args) {
      Employee[] employees =  new Employee[3];
      Scanner scanner = new Scanner(System.in);
        for (int i = 0; i <3; i++) {
            System.out.println("这是第"+i+1+"个员工信息：");
            //姓名、性别、年龄、工资、电话、邮箱
            System.out.println("姓名");
            String name = scanner.next();
            System.out.println("性别");
            char gender = scanner.next().charAt(0);
            System.out.println("年龄");
            int age = scanner.nextInt();
            System.out.println("工资");
            double salary = scanner.nextDouble();
            System.out.println("电话");
            String phone = scanner.next();
            System.out.println("邮箱");
            String email = scanner.next();
            employees[i] = new Employee(name,gender,age,salary,phone,email);
        }
        System.out.println(Arrays.toString(employees));
        scanner.close();
    }
}
