package com.sf.javase.day13.collection;

import org.junit.jupiter.api.Test;

import java.util.*;

/**
 * 集合框架 - collection - ArrayList
 */

public class T {
    @Test
    public void t1(){
        Collection<String> collection = new ArrayList<>();
        collection.add("admin");
        collection.add("jom");

        System.out.println(collection);
        Collection<String> collection2 = new ArrayList<>();
        System.out.println(collection2);
        collection2.add("jerry");
        collection2.add("tom");
        collection.addAll(collection2);
        System.out.println(collection);
        System.out.println(collection2.size());
        System.out.println(collection.size());
        System.out.println("isEmpty = "+collection.isEmpty());
        boolean jom = collection.contains("jom1");
        System.out.println(jom);
        System.out.println(collection.containsAll(collection2));
        Collection collection3 = new ArrayList();
        collection3.add("jerry");
        collection3.add("tom");
        System.out.println(collection3.equals(collection2));
        //  co   4    c2   2
       collection.remove("admin");
    }


    @Test
    public void t2(){
        List<String> list = new ArrayList<>();
        list.add("abc");
        list.add("afg");
        list.add("amf");
        list.add("mfg");
        list.add("age");
        list.add("ofh");
        // 去除包含a字母的元素     contain     remove    [mfg,ofh]
        for (int i = 0; i < list.size(); i++) {
            if(list.get(i).contains("a")){
                list.remove(i);
                i--;
            }
        }
        System.out.println(list);


        //迭代器
        Iterator<String> iterator = list.iterator();
        while (iterator.hasNext()){
            String next = iterator.next();
            if(next.contains("a")){
                iterator.remove();
            }
        }

        System.out.println("===="+list);
    }
}
